Subject: RE: bug#20056: 25.0.50; Remove non Common Lisp stuff from cl*.el libraries

From: Drew Adams <[email-masked]>
Date: Sun, 8 Mar 2015 11:46:34 -0700 (PDT)

> Even cl functions that have the same names as functions in Common Lisp
> don't always have the same features or semantics. I don't think it's
> very important that the cl package mirror Common Lisp.

That is something quite different.  Those differences are pointed
out, and the aim is to emulate Common Lisp, however imperfectly
we might be able to (or might want to) do so at any given time.

There is no reason to misleadingly add stuff to our emulation
library that has no counterpart is Common Lisp - is not
emulating anything there.  It is even worse to use names that
make it look as if these do correspond to Common Lisp things.

It is perfectly fine for Emacs to add things that Common Lisp
does not have/do.  But it should add them elsewhere from the
`cl*.el' files, and document them elsewhere than in manual CL.

These are *Emacs* things that have nothing to do with Common Lisp.

If you start adding non Common-Lisp stuff to `cl*.el', then where
will you stop?  What will be your criteria for adding them to
`cl*.el'?

If they do not emulate something in Common Lisp then they belong
elsewhere from `cl*.el' (this should be obvious, I think).

We are not redesigning Common Lisp or pretending to do so.